#include "VisualizationKinectPluginFactory.h"
#include "VisualizationKinectPlugin.h"

#include <QtPlugin>

VisualizationKinectPluginFactory::VisualizationKinectPluginFactory()
{
}

VisualizationKinectPluginFactory::~VisualizationKinectPluginFactory()
{
}

ritk::ApplicationPlugin*
VisualizationKinectPluginFactory::CreateInstance()
{
	return new VisualizationKinectPlugin();
}

QString 
VisualizationKinectPluginFactory::GetName()
{
	return ("VisualizationKinect");
}

QString 
VisualizationKinectPluginFactory::GetDescription()
{
	return ("Simple visualization");
}


Q_EXPORT_PLUGIN2(VisualizationKinectPlugin, VisualizationKinectPluginFactory)

